{ pkgs, inputs, ... }:
{
  users.users.imnyang = {
    isNormalUser = true;
    linger = true;
    description = "@imnya.ng";

    extraGroups = [
      "imnyang"
      "networkmanager"
      "wheel"
      "docker"
      "libvirtd"
      "podman"
    ];
    shell = pkgs.fish;
  };

  security.sudo.extraRules = [
    {
      users = [ "imnyang" ];
      commands = [
        {
          command = "ALL";
          options = [ "NOPASSWD" ];
        }
      ];
    }
  ];

  system.activationScripts.createIcon = "ln -sfn ${inputs.self}/assets/avatar.webp /var/lib/AccountsService/icons/imnyang";

  programs.fish.enable = true;
}
